## jalv 0~svn3409+dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import sys
import subprocess

from waflib.extras import autowaf as autowaf
import waflib.Options as Options
import waflib.Logs as Logs

# Version of this package (even if built as a child)
JALV_VERSION       = '0.0.0'
JALV_MAJOR_VERSION = '0'

# Variables for 'waf dist'
APPNAME = 'jalv'
VERSION = JALV_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    autowaf.set_options(opt)
    opt.add_option('--no-jack-session', action='store_true', default=False,
                   dest='no_jack_session',
                   help="Do not build JACK session support")

def configure(conf):
    conf.line_just = 63
    autowaf.configure(conf)
    autowaf.display_header('Jalv Configuration')
    conf.load('compiler_cc')

    autowaf.check_pkg(conf, 'lv2core', uselib_store='LV2CORE', mandatory=True)
    autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                      atleast_version='0.4.0', mandatory=True)
    autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL',
                      atleast_version='0.4.0', mandatory=True)
    autowaf.check_pkg(conf, 'jack', uselib_store='JACK',
                      atleast_version='0.120.0', mandatory=True)
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)
    autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                      atleast_version='4.0.0', mandatory=False)

    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/lv2core/lv2.h')
    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/ext/event/event.h')
    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/ext/event/event-helpers.h')
    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/ext/uri-map/uri-map.h')

    if not Options.options.no_jack_session:
        autowaf.define(conf, 'JALV_JACK_SESSION', 1)

    conf.env.append_value('CFLAGS', '-std=c99')
    autowaf.define(conf, 'JALV_VERSION', JALV_VERSION)

    conf.write_config_header('jalv-config.h', remove=False)

    autowaf.display_msg(conf, "Gtk 2.0 support",
                        conf.is_defined('HAVE_GTK2'))
    autowaf.display_msg(conf, "Qt 4.0 support",
                        conf.is_defined('HAVE_QT4'))
    print('')

def build(bld):
    libs = 'LILV SUIL JACK'

    # Non-GUI version
    obj = bld(features     = 'c cprogram',
              source       = 'src/jalv.c src/symap.c src/jalv_console.c',
              target       = 'jalv',
              includes     = ['.'],
              install_path = '${BINDIR}')
    autowaf.use_lib(bld, obj, libs)

    # Gtk version
    if bld.is_defined('HAVE_GTK2'):
        obj = bld(features     = 'c cprogram',
                  source       = 'src/jalv.c src/symap.c src/jalv_gtk2.c',
                  target       = 'jalv.gtk',
                  includes     = ['.'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' GTK2')

    # Qt version
    if bld.is_defined('HAVE_QT4'):
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = 'src/jalv.c src/symap.c src/jalv_qt4.cpp',
                  target       = 'jalv.qt',
                  includes     = ['.'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' QT4')

    # Man pages
    bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* jalv/*', shell=True)

## jalv 0~svn3409

=== debian/changelog ===
jalv (0~svn3409-1) unstable; urgency=low

  * New upstream release:
    - Build Jalv in top-level build.
    - Send control output port updates to UIs (commonly used for metering).
    - Add a real URI map implementation.
    - Remove unnecessary configure checks for glib and gthread.
    - Support control changes from UI.
    - Implement instance-access extension (support IR.lv2 UI).

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Jun 2011 14:15:39 +0200

jalv (0~svn3395-1) unstable; urgency=low

  * Initial release. (Closes: #630391)

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Jun 2011 10:10:23 +0200

=== debian/control ===
Source: jalv
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libjack-dev,
 liblilv-dev,
 libqt4-dev,
 libsuil-dev,
 lv2core,
 lv2-extensions-good,
 pkg-config,
 python
Standards-Version: 3.9.2
Homepage: http://dev.drobilla.net/browser/trunk/jalv
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jalv.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jalv.git

Package: jalv
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: tool to run LV2 plugins as stand-alone applications
 jalv is a stand-alone version of lv2jack that supports plugin UIs
 via libsuil. It allows one to run an LV2 plugin as a JACK application.
 .
 This package contains a replacement for the lv2jack utility, which was
 previously provided by the lilv-utils package.

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,--as-needed
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
                --strict \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/jalv

=== debian/watch ===
# Sources are taken from http://svn.drobilla.net/lad/trunk/jalv/

## jalv 0~svn3409+dfsg0

=== debian/changelog ===
jalv (0~svn3409+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654478).
  * Adjust the clean target to properly clean the sources.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 10:12:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 	$(WAF)
 
 override_dh_auto_clean:
-	$(WAF) distclean
+	$(WAF) clean || true
+	find -name "*.pyc" -delete
 	rm -rf build .waf*
 	dh_auto_clean

## jalv 1.0.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import sys
import subprocess

from waflib.extras import autowaf as autowaf
import waflib.Options as Options
import waflib.Logs as Logs

# Version of this package (even if built as a child)
JALV_VERSION = '1.0.0'

# Variables for 'waf dist'
APPNAME = 'jalv'
VERSION = JALV_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--no-jack-session', action='store_true', default=False,
                   dest='no_jack_session',
                   help="Do not build JACK session support")

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.line_just = 52
    autowaf.configure(conf)
    autowaf.display_header('Jalv Configuration')

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
    autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                      atleast_version='0.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                      atleast_version='0.4.5', mandatory=True)
    autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL',
                      atleast_version='0.6.0', mandatory=True)
    autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                      atleast_version='0.2.0', mandatory=True)
    autowaf.check_pkg(conf, 'jack', uselib_store='JACK',
                      atleast_version='0.120.0', mandatory=True)
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)
    autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM2',
                      atleast_version='2.20.0', mandatory=False)
    autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                      atleast_version='4.0.0', mandatory=False)

    conf.check(function_name='jack_port_type_get_buffer_size',
               header_name='jack/jack.h',
               define_name='HAVE_JACK_PORT_TYPE_GET_BUFFER_SIZE',
               mandatory=False)

    if not Options.options.no_jack_session:
        autowaf.define(conf, 'JALV_JACK_SESSION', 1)

    conf.env.append_unique('CFLAGS', '-std=c99')
    autowaf.define(conf, 'JALV_VERSION', JALV_VERSION)

    conf.write_config_header('jalv_config.h', remove=False)

    autowaf.display_msg(conf, "Gtk 2.0 support",
                        conf.is_defined('HAVE_GTK2'))
    autowaf.display_msg(conf, "Gtkmm 2.0 support",
                        conf.is_defined('HAVE_GTKMM2'))
    autowaf.display_msg(conf, "Qt 4.0 support",
                        conf.is_defined('HAVE_QT4'))
    print('')

def build(bld):
    libs = 'LILV SUIL JACK SERD SRATOM LV2'

    source = 'src/jalv.c src/symap.c src/state.c src/lv2_evbuf.c src/worker.c src/log.c'

    # Non-GUI version
    obj = bld(features     = 'c cprogram',
              source       = source + ' src/jalv_console.c',
              target       = 'jalv',
              includes     = ['.', 'src'],
              lib          = ['pthread'],
              install_path = '${BINDIR}')
    autowaf.use_lib(bld, obj, libs)

    # Gtk version
    if bld.is_defined('HAVE_GTK2'):
        obj = bld(features     = 'c cprogram',
                  source       = source + ' src/jalv_gtk2.c',
                  target       = 'jalv.gtk',
                  includes     = ['.', 'src'],
                  lib          = ['pthread', 'm'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' GTK2')

    # Gtkmm version
    if bld.is_defined('HAVE_GTKMM2'):
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_gtkmm2.cpp',
                  target       = 'jalv.gtkmm',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' GTKMM2')

    # Qt version
    if bld.is_defined('HAVE_QT4'):
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_qt4.cpp',
                  target       = 'jalv.qt',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' QT4')

    # Man pages
    bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include,-runtime/sizeof src/* jalv/*', shell=True)

=== debian/changelog ===
jalv (1.0.0~dfsg0-2) unstable; urgency=low

  * Tolerate loading presets with port values that aren't xsd:decimal.
    Patch taken from upstream trunk.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Jun 2012 12:44:03 +0200

jalv (1.0.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Remove 0001-manpage.patch, adopted upstream.
  * debian/control:
    - Replace old LV2 build-deps with lv2-dev.
    - Tighten build-dep on lilv, add build-dependencies on
      libserd-dev and libsratom-dev.
    - Add build-dependency on sord.
    - Update Homepage.
  * Add patch to fix jalv.gtk's manpage section mismatch.
  * Update debian/watch.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 11:12:23 +0200

=== debian/control ===
Source: jalv
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libjack-dev,
 liblilv-dev (>= 0.14.0~),
 libqt4-dev,
 libserd-dev,
 libsord-dev,
 libsratom-dev,
 libsuil-dev,
 lv2-dev,
 pkg-config,
 python
Standards-Version: 3.9.3
Homepage: http://drobilla.net/software/jalv/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jalv.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jalv.git

Package: jalv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: tool to run LV2 plugins as stand-alone applications
 jalv is a stand-alone version of lv2jack that supports plugin UIs
 via libsuil. It allows one to run an LV2 plugin as a JACK application.
 .
 This package contains a replacement for the lv2jack utility, which was
 previously provided by the lilv-utils package.

## jalv 1.2.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/env python
-import os
-import sys
 import subprocess
-
 from waflib.extras import autowaf as autowaf
 import waflib.Options as Options
-import waflib.Logs as Logs
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.0.0'
+JALV_VERSION = '1.2.0'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -31,13 +27,14 @@
     conf.load('compiler_cxx')
     conf.line_just = 52
     autowaf.configure(conf)
+    autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.15', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.4.5', mandatory=True)
+                      atleast_version='0.5.0', mandatory=True)
     autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL',
                       atleast_version='0.6.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
@@ -46,6 +43,8 @@
                       atleast_version='0.120.0', mandatory=True)
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                       atleast_version='2.18.0', mandatory=False)
+    autowaf.check_pkg(conf, 'gtk+-3.0', uselib_store='GTK3',
+                      atleast_version='3.0.0', mandatory=False)
     autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM2',
                       atleast_version='2.20.0', mandatory=False)
     autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
@@ -59,13 +58,14 @@
     if not Options.options.no_jack_session:
         autowaf.define(conf, 'JALV_JACK_SESSION', 1)
 
-    conf.env.append_unique('CFLAGS', '-std=c99')
     autowaf.define(conf, 'JALV_VERSION', JALV_VERSION)
 
     conf.write_config_header('jalv_config.h', remove=False)
 
     autowaf.display_msg(conf, "Gtk 2.0 support",
                         conf.is_defined('HAVE_GTK2'))
+    autowaf.display_msg(conf, "Gtk 3.0 support",
+                        conf.is_defined('HAVE_GTK3'))
     autowaf.display_msg(conf, "Gtkmm 2.0 support",
                         conf.is_defined('HAVE_GTKMM2'))
     autowaf.display_msg(conf, "Qt 4.0 support",
@@ -86,15 +86,25 @@
               install_path = '${BINDIR}')
     autowaf.use_lib(bld, obj, libs)
 
-    # Gtk version
+    # Gtk2 version
     if bld.is_defined('HAVE_GTK2'):
         obj = bld(features     = 'c cprogram',
-                  source       = source + ' src/jalv_gtk2.c',
+                  source       = source + ' src/jalv_gtk.c',
                   target       = 'jalv.gtk',
                   includes     = ['.', 'src'],
                   lib          = ['pthread', 'm'],
                   install_path = '${BINDIR}')
         autowaf.use_lib(bld, obj, libs + ' GTK2')
+
+    # Gtk3 version
+    if bld.is_defined('HAVE_GTK3'):
+        obj = bld(features     = 'c cprogram',
+                  source       = source + ' src/jalv_gtk.c',
+                  target       = 'jalv.gtk3',
+                  includes     = ['.', 'src'],
+                  lib          = ['pthread', 'm'],
+                  install_path = '${BINDIR}')
+        autowaf.use_lib(bld, obj, libs + ' GTK3')
 
     # Gtkmm version
     if bld.is_defined('HAVE_GTKMM2'):

=== debian/changelog ===
jalv (1.2.0~dfsg0-2) unstable; urgency=low

  * Upload to unstable.
  * Fix VCS urls.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 May 2013 17:27:44 +0200

jalv (1.2.0~dfsg0-1) experimental; urgency=low

  * New upstream release:
    - Tune UI update rate and ring size based on JACK rate and MIDI buffer
      size to handle the handle the maximum message rate the plugin can
      send.
    - Support lv2:sampleRate control ports.
    - Tolerate loading presets with port values that aren't xsd:decimal
    - Notify plugins of Jack transport changes by sending events (an
      atom:Blank with properties from the LV2 time extension)
    - Refuse to instantiate plugins which require unsupported features
    - Support LV2 buf-size extension (with all features)
    - Add Gtk3 UI
    - Port to MinGW
    - Fix Jack Session support
  * debian/control:
    - Needs lv2 >> 1.2.0
  * Remove 0001-presets_with_non_decimal_ports.patch, applied upstream.
  * Add get-orig-source target to strip out waf.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Oct 2012 10:10:42 +0000

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
  libsord-dev,
  libsratom-dev,
  libsuil-dev,
- lv2-dev,
+ lv2-dev (>> 1.2.0~),
  pkg-config,
  python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/jalv/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/jalv.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jalv.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jalv.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jalv.git
 
 Package: jalv
 Architecture: any

## jalv 1.4.2~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 import waflib.Options as Options
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.2.0'
+JALV_VERSION = '1.4.2'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -30,15 +30,17 @@
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.15', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.4.3', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
+                      atleast_version='0.15.1', mandatory=True)
+    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
-    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
-                      atleast_version='0.5.0', mandatory=True)
+    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
+                      atleast_version='0.12.0', mandatory=True)
     autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL',
                       atleast_version='0.6.0', mandatory=True)
     autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
-                      atleast_version='0.2.0', mandatory=True)
+                      atleast_version='0.4.0', mandatory=True)
     autowaf.check_pkg(conf, 'jack', uselib_store='JACK',
                       atleast_version='0.120.0', mandatory=True)
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
@@ -73,7 +75,7 @@
     print('')
 
 def build(bld):
-    libs = 'LILV SUIL JACK SERD SRATOM LV2'
+    libs = 'LILV SUIL JACK SERD SORD SRATOM LV2'
 
     source = 'src/jalv.c src/symap.c src/state.c src/lv2_evbuf.c src/worker.c src/log.c'

=== debian/changelog ===
jalv (1.4.2~dfsg0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Bump build-dep on lv2-dev >= 1.4.3.
  * Add build-dep on libgtk-3-dev to enable GTK3+ support.
  * Enable support for GTKMM-2.0.
  * Needs lilv >= 0.15.1

  [ Jaromír Mikeš ]
  * Added myself as uploader

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Aug 2013 09:26:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 7.0.50~),
+ libgtk-3-dev,
  libgtk2.0-dev,
+ libgtkmm-2.4-dev,
  libjack-dev,
- liblilv-dev (>= 0.14.0~),
+ liblilv-dev (>= 0.15.1~),
  libqt4-dev,
  libserd-dev,
  libsord-dev,
  libsratom-dev,
  libsuil-dev,
- lv2-dev (>> 1.2.0~),
+ lv2-dev (>= 1.4.3~),
  pkg-config,
  python
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~dfsg0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 export LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
@@ -24,3 +28,17 @@
 
 override_dh_auto_install:
 	$(WAF) install --destdir=$(CURDIR)/debian/jalv
+
+# get-orig-source to drop waf
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
+	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
+	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
+	rmdir $(pkg)-$(dfsg_version)/.waf-*
+	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
+	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/jalv-(.*)\.tar\.bz2

## jalv 1.4.4~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 import waflib.Options as Options
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.4.2'
+JALV_VERSION = '1.4.4'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -23,14 +23,14 @@
                    help="Do not build JACK session support")
 
 def configure(conf):
+    conf.line_just = 52
     conf.load('compiler_c')
     conf.load('compiler_cxx')
-    conf.line_just = 52
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.4.3', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                       atleast_version='0.15.1', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',

=== debian/changelog ===
jalv (1.4.4~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Set dh/compat 9.
  * Bump Standards.
  * Remove --debug from configure to flags to be passed.
  * Fix passing ldflags.
  * Added repacking scripts.
  * Install NEWS file as upstream changelog.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 28 Feb 2014 19:44:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libgtk-3-dev,
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
@@ -20,7 +20,7 @@
  lv2-dev (>= 1.4.3~),
  pkg-config,
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/jalv/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jalv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jalv.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 dfsg_version = $(upstream_version)~dfsg0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
-export LDFLAGS+=-Wl,--as-needed
+LDFLAGS += -Wl,--as-needed
 WAF = ./waf
 
 %:
@@ -14,8 +14,7 @@
 	$(WAF) configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-                --strict \
-		--debug
+                --strict
 
 override_dh_auto_build:
 	$(WAF)
@@ -28,6 +27,9 @@
 
 override_dh_auto_install:
 	$(WAF) install --destdir=$(CURDIR)/debian/jalv
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 # get-orig-source to drop waf
 get-orig-source:

## jalv 1.4.6~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,7 +4,7 @@
 import waflib.Options as Options
 
 # Version of this package (even if built as a child)
-JALV_VERSION = '1.4.4'
+JALV_VERSION = '1.4.6'
 
 # Variables for 'waf dist'
 APPNAME = 'jalv'
@@ -21,6 +21,9 @@
     opt.add_option('--no-jack-session', action='store_true', default=False,
                    dest='no_jack_session',
                    help="Do not build JACK session support")
+    opt.add_option('--no-qt', action='store_true', default=False,
+                   dest='no_qt',
+                   help="Do not build Qt GUI")
 
 def configure(conf):
     conf.line_just = 52
@@ -30,9 +33,9 @@
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Jalv Configuration')
 
-    autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.8.1', uselib_store='LV2')
     autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
-                      atleast_version='0.15.1', mandatory=True)
+                      atleast_version='0.19.2', mandatory=True)
     autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                       atleast_version='0.14.0', mandatory=True)
     autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
@@ -49,12 +52,22 @@
                       atleast_version='3.0.0', mandatory=False)
     autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM2',
                       atleast_version='2.20.0', mandatory=False)
-    autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
-                      atleast_version='4.0.0', mandatory=False)
+    if not Options.options.no_qt:
+        autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
+                          atleast_version='4.0.0', mandatory=False)
+        if conf.is_defined('HAVE_QT4'):
+            conf.find_program('moc')
 
     conf.check(function_name='jack_port_type_get_buffer_size',
                header_name='jack/jack.h',
                define_name='HAVE_JACK_PORT_TYPE_GET_BUFFER_SIZE',
+               uselib='JACK',
+               mandatory=False)
+
+    conf.check(function_name='jack_set_property',
+               header_name='jack/metadata.h',
+               define_name='HAVE_JACK_METADATA',
+               uselib='JACK',
                mandatory=False)
 
     if not Options.options.no_jack_session:
@@ -64,6 +77,8 @@
 
     conf.write_config_header('jalv_config.h', remove=False)
 
+    autowaf.display_msg(conf, "Jack metadata support",
+                        conf.is_defined('HAVE_JACK_METADATA'))
     autowaf.display_msg(conf, "Gtk 2.0 support",
                         conf.is_defined('HAVE_GTK2'))
     autowaf.display_msg(conf, "Gtk 3.0 support",
@@ -120,6 +135,9 @@
 
     # Qt version
     if bld.is_defined('HAVE_QT4'):
+        obj = bld(rule = '${MOC} ${SRC} > ${TGT}',
+                  source = 'src/jalv_qt4.cpp',
+                  target = 'jalv_qt4_meta.hpp')
         obj = bld(features     = 'c cxx cxxprogram',
                   source       = source + ' src/jalv_qt4.cpp',
                   target       = 'jalv.qt',
@@ -131,5 +149,13 @@
     # Man pages
     bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))
 
+def upload_docs(ctx):
+    import glob
+    import os
+    for page in glob.glob('doc/*.[1-8]'):
+        os.system('mkdir -p build/doc')
+        os.system('soelim %s | pre-grohtml troff -man -wall -Thtml | post-grohtml > build/%s.html' % (page, page))
+        os.system('rsync -avz --delete -e ssh build/%s.html drobilla@drobilla.net:~/drobilla.net/man/' % page)
+
 def lint(ctx):
     subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include,-runtime/sizeof src/* jalv/*', shell=True)

=== debian/changelog ===
jalv (1.4.6~dfsg0-1build2) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:48:19 +0000

jalv (1.4.6~dfsg0-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:38:45 +0000

jalv (1.4.6~dfsg0-1) unstable; urgency=medium

  * New upstream release.
  * Compression xz.
  * Tuned get-orig-source.
  * Removed old repack scripts.
  * Tuned build deps.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 19 Aug 2014 15:41:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jalv
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -11,13 +12,13 @@
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
  libjack-dev,
- liblilv-dev (>= 0.15.1~),
+ liblilv-dev (>= 0.19.2~),
  libqt4-dev,
  libserd-dev,
  libsord-dev,
  libsratom-dev,
  libsuil-dev,
- lv2-dev (>= 1.4.3~),
+ lv2-dev (>= 1.8.1~),
  pkg-config,
  python
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -42,5 +42,8 @@
 	rmdir $(pkg)-$(dfsg_version)/.waf-*
 	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
-	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
+	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
+	rm $(pkg)_$(dfsg_version).orig.tar.bz2

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/jalv-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub

## jalv 1.6.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import subprocess
from waflib.extras import autowaf as autowaf
import waflib.Options as Options

# Version of this package (even if built as a child)
JALV_VERSION = '1.6.0'

# Variables for 'waf dist'
APPNAME = 'jalv'
VERSION = JALV_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--portaudio', action='store_true', default=False,
                   dest='portaudio',
                   help='Use PortAudio backend, not JACK')
    opt.add_option('--no-jack-session', action='store_true', default=False,
                   dest='no_jack_session',
                   help='Do not build JACK session support')
    opt.add_option('--no-gtk', action='store_true', default=False,
                   dest='no_gtk',
                   help='Do not build Gtk GUI')
    opt.add_option('--no-gtkmm', action='store_true', default=False,
                   dest='no_gtkmm',
                   help='Do not build Gtkmm GUI')
    opt.add_option('--no-gtk2', action='store_true', dest='no_gtk2',
                   help='Do not build Gtk2 GUI')
    opt.add_option('--no-gtk3', action='store_true', dest='no_gtk3',
                   help='Do not build Gtk3 GUI')
    opt.add_option('--no-qt', action='store_true', default=False, dest='no_qt',
                   help='Do not build Qt GUI')
    opt.add_option('--no-qt4', action='store_true', dest='no_qt4',
                   help='Do not build Qt4 GUI')
    opt.add_option('--no-qt5', action='store_true', dest='no_qt5',
                   help='Do not build Qt5 GUI')

def configure(conf):
    conf.line_just = 52
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Jalv Configuration')

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.14.0', uselib_store='LV2')
    autowaf.check_pkg(conf, 'lilv-0', uselib_store='LILV',
                      atleast_version='0.24.0', mandatory=True)
    autowaf.check_pkg(conf, 'serd-0', uselib_store='SERD',
                      atleast_version='0.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'sord-0', uselib_store='SORD',
                      atleast_version='0.12.0', mandatory=True)
    autowaf.check_pkg(conf, 'suil-0', uselib_store='SUIL',
                      atleast_version='0.6.0', mandatory=True)
    autowaf.check_pkg(conf, 'sratom-0', uselib_store='SRATOM',
                      atleast_version='0.6.0', mandatory=True)
    if Options.options.portaudio:
        autowaf.check_pkg(conf, 'portaudio-2.0', uselib_store='PORTAUDIO',
                          atleast_version='2.0.0', mandatory=False)
    else:
        autowaf.check_pkg(conf, 'jack', uselib_store='JACK',
                          atleast_version='0.120.0', mandatory=True)

    if not Options.options.no_gtk:
        if not Options.options.no_gtk2:
            autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                              atleast_version='2.18.0', mandatory=False)
        if not Options.options.no_gtkmm:
            autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM2',
                              atleast_version='2.20.0', mandatory=False)
        if not Options.options.no_gtk3:
            autowaf.check_pkg(conf, 'gtk+-3.0', uselib_store='GTK3',
                              atleast_version='3.0.0', mandatory=False)

    if not Options.options.no_qt:
        if not Options.options.no_qt4:
            autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                              atleast_version='4.0.0', mandatory=False)
            if conf.env.HAVE_QT4:
                if not conf.find_program('moc-qt4', var='MOC4', mandatory=False):
                    conf.find_program('moc', var='MOC4')

        if not Options.options.no_qt5:
            autowaf.check_pkg(conf, 'Qt5Widgets', uselib_store='QT5',
                              atleast_version='5.1.0', mandatory=False)
            if conf.env.HAVE_QT5:
                if not conf.find_program('moc-qt5', var='MOC5', mandatory=False):
                    conf.find_program('moc', var='MOC5')

    if conf.env.HAVE_JACK:
        conf.check(function_name='jack_port_type_get_buffer_size',
                   header_name='jack/jack.h',
                   define_name='HAVE_JACK_PORT_TYPE_GET_BUFFER_SIZE',
                   uselib='JACK',
                   mandatory=False)

        conf.check(function_name='jack_set_property',
                   header_name='jack/metadata.h',
                   define_name='HAVE_JACK_METADATA',
                   uselib='JACK',
                   mandatory=False)

    defines = ['_POSIX_C_SOURCE=200809L']

    conf.check(function_name='isatty',
               header_name='unistd.h',
               defines=defines,
               define_name='HAVE_ISATTY',
               mandatory=False)

    conf.check(function_name='fileno',
               header_name='stdio.h',
               defines=defines,
               define_name='HAVE_FILENO',
               mandatory=False)

    conf.check(function_name='mlock',
               header_name='sys/mman.h',
               defines=defines,
               define_name='HAVE_MLOCK',
               mandatory=False)

    if conf.is_defined('HAVE_ISATTY') and conf.is_defined('HAVE_FILENO'):
        autowaf.define(conf, 'JALV_WITH_COLOR', 1)
        conf.env.append_unique('CFLAGS', ['-D_POSIX_C_SOURCE=200809L'])

    if not Options.options.no_jack_session:
        autowaf.define(conf, 'JALV_JACK_SESSION', 1)

    autowaf.define(conf, 'JALV_VERSION', JALV_VERSION)

    conf.write_config_header('jalv_config.h', remove=False)

    autowaf.display_msg(conf, "Backend", "Jack" if conf.env.HAVE_JACK else "PortAudio")
    if conf.env.HAVE_JACK:
        autowaf.display_msg(conf, "Jack metadata support",
                            conf.is_defined('HAVE_JACK_METADATA'))
    autowaf.display_msg(conf, "Gtk 2.0 support", bool(conf.env.HAVE_GTK2))
    autowaf.display_msg(conf, "Gtk 3.0 support", bool(conf.env.HAVE_GTK3))
    autowaf.display_msg(conf, "Gtkmm 2.0 support", bool(conf.env.HAVE_GTKMM2))
    autowaf.display_msg(conf, "Qt 4.0 support", bool(conf.env.HAVE_QT4))
    autowaf.display_msg(conf, "Qt 5.0 support", bool(conf.env.HAVE_QT5))
    autowaf.display_msg(conf, "Color output", bool(conf.env.JALV_WITH_COLOR))
    print('')

def build(bld):
    libs   = 'LILV SUIL JACK SERD SORD SRATOM LV2 PORTAUDIO'
    source = '''
    src/control.c
    src/jalv.c
    src/log.c
    src/lv2_evbuf.c
    src/state.c
    src/symap.c
    src/worker.c
    src/zix/ring.c
    '''

    if bld.env.HAVE_JACK:
        source += 'src/jack.c'
    elif bld.env.HAVE_PORTAUDIO:
        source += 'src/portaudio.c'

    # Non-GUI version
    obj = bld(features     = 'c cprogram',
              source       = source + ' src/jalv_console.c',
              target       = 'jalv',
              includes     = ['.', 'src'],
              lib          = ['pthread'],
              install_path = '${BINDIR}')
    autowaf.use_lib(bld, obj, libs)

    # Gtk2 version
    if bld.env.HAVE_GTK2:
        obj = bld(features     = 'c cprogram',
                  source       = source + ' src/jalv_gtk.c',
                  target       = 'jalv.gtk',
                  includes     = ['.', 'src'],
                  lib          = ['pthread', 'm'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' GTK2')

    # Gtk3 version
    if bld.env.HAVE_GTK3:
        obj = bld(features     = 'c cprogram',
                  source       = source + ' src/jalv_gtk.c',
                  target       = 'jalv.gtk3',
                  includes     = ['.', 'src'],
                  lib          = ['pthread', 'm'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' GTK3')

    # Gtkmm version
    if bld.env.HAVE_GTKMM2:
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_gtkmm2.cpp',
                  target       = 'jalv.gtkmm',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' GTKMM2')

    # Qt4 version
    if bld.env.HAVE_QT4:
        obj = bld(rule = '${MOC4} ${SRC} > ${TGT}',
                  source = 'src/jalv_qt.cpp',
                  target = 'jalv_qt4_meta.hpp')
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_qt.cpp',
                  target       = 'jalv.qt4',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  install_path = '${BINDIR}')
        autowaf.use_lib(bld, obj, libs + ' QT4')

    # Qt5 version
    if bld.env.HAVE_QT5:
        obj = bld(rule = '${MOC5} ${SRC} > ${TGT}',
                  source = 'src/jalv_qt.cpp',
                  target = 'jalv_qt5_meta.hpp')
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_qt.cpp',
                  target       = 'jalv.qt5',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  install_path = '${BINDIR}',
                  cxxflags     = ['-fPIC'])
        autowaf.use_lib(bld, obj, libs + ' QT5')

    # Man pages
    bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))

def upload_docs(ctx):
    import glob
    import os
    for page in glob.glob('doc/*.[1-8]'):
        os.system('mkdir -p build/doc')
        os.system('soelim %s | pre-grohtml troff -man -wall -Thtml | post-grohtml > build/%s.html' % (page, page))
        os.system('rsync -avz --delete -e ssh build/%s.html drobilla@drobilla.net:~/drobilla.net/man/' % page)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include,-runtime/sizeof src/* jalv/*', shell=True)

def posts(ctx):
    path = str(ctx.path.abspath())
    autowaf.news_to_posts(
        os.path.join(path, 'NEWS'),
        {'title'        : 'Jalv',
         'description'  : autowaf.get_blurb(os.path.join(path, 'README')),
         'dist_pattern' : 'http://download.drobilla.net/jalv-%s.tar.bz2'},
        { 'Author' : 'drobilla',
          'Tags'   : 'Hacking, LAD, LV2, Jalv' },
        os.path.join(out, 'posts'))

=== debian/changelog ===
jalv (1.6.0~dfsg0-2) unstable; urgency=medium

  * Build qt5 version rather than qt4.
  * Add patch to fix build with qt5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 07 Jan 2017 11:36:38 +0100

jalv (1.6.0~dfsg0-1) unstable; urgency=medium

  * Update repacking.
  * New upstream version 1.6.0~dfsg0
  * Set dh/compat 10.
  * Fix copyright file.
  * Sign tags.
  * Patches deleted/refreshed.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 06 Jan 2017 14:19:40 +0100

jalv (1.4.6~dfsg0-2) unstable; urgency=medium

  * Add patch to build without gtkmm. (Closes: #833908)
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Tune .gitignore file.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 23 Aug 2016 19:34:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,14 @@
 dfsg_version = $(upstream_version)~dfsg0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
-LDFLAGS += -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export LINKFLAGS += $(LDFLAGS)
+
+export QT_SELECT := qt5
+
 WAF = ./waf
 
 %:
@@ -14,7 +21,9 @@
 	$(WAF) configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-                --strict
+                --strict \
+		--no-gtkmm \
+		--no-qt4
 
 override_dh_auto_build:
 	$(WAF)
@@ -45,5 +54,4 @@
 	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
 	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
-	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
-	rm $(pkg)_$(dfsg_version).orig.tar.bz2
+	rm $(pkg)_$(upstream_version).orig.tar.bz2
